Package org.h2.store

# Interface InDoubtTransaction

public interface InDoubtTransaction
Represents an in-doubt transaction (a transaction in the prepare phase).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMMIT`
The transaction state meaning this transaction is committed.
`static final int`
`IN_DOUBT`
The transaction state meaning this transaction is not committed yet, but also not rolled back (in-doubt).
`static final int`
`ROLLBACK`
The transaction state meaning this transaction is rolled back.

## Method Summary

Modifier and Type
Method
Description
`int`
`getState()`
Get the state of this transaction.
`default String`
`getStateDescription()`
Get the state of this transaction as a text.
`String`
`getTransactionName()`
Get the name of the transaction.
`void`
`setState(int state)`
Change the state of this transaction.

## Field Details

### IN_DOUBT

static final int IN_DOUBT
The transaction state meaning this transaction is not committed yet, but also not rolled back (in-doubt).

See Also:
  - Constant Field Values

### COMMIT

static final int COMMIT
The transaction state meaning this transaction is committed.

See Also:
  - Constant Field Values

### ROLLBACK

static final int ROLLBACK
The transaction state meaning this transaction is rolled back.

See Also:
  - Constant Field Values

## Method Details

### setState

void setState(int state)
Change the state of this transaction. This will also update the transaction log.

Parameters:
  `state` - the new state

### getState

int getState()
Get the state of this transaction.

Returns:
  the transaction state

### getStateDescription

default String getStateDescription()
Get the state of this transaction as a text.

Returns:
  the transaction state text

### getTransactionName

String getTransactionName()
Get the name of the transaction.

Returns:
  the transaction name